Package org.apache.batchee.camel.component

## Class JBatchComponent

- java.lang.Object
- - org.apache.camel.support.ServiceSupport
  - - org.apache.camel.impl.DefaultComponent
    - - org.apache.batchee.camel.component.JBatchComponent

- All Implemented Interfaces:
    `org.apache.camel.CamelContextAware`, `org.apache.camel.Component`, `org.apache.camel.Service`, `org.apache.camel.ShutdownableService`, `org.apache.camel.StatefulService`, `org.apache.camel.SuspendableService`

      public class JBatchComponent
      extends org.apache.camel.impl.DefaultComponent

- - ### Field Summary

    - ### Fields inherited from class org.apache.camel.support.ServiceSupport

      `shutdown, shuttingdown, started, starting, stopped, stopping, suspended, suspending`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JBatchComponent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.apache.camel.Endpoint` | `createEndpoint​(String uri, String remaining, Map<String,​Object> parameters)` |

    - ### Methods inherited from class org.apache.camel.impl.DefaultComponent

      `afterConfiguration, createConfiguration, createEndpoint, doStart, doStop, getAndRemoveParameter, getAndRemoveParameter, getCamelContext, ifStartsWithReturnRemainder, preProcessUri, resolveAndRemoveReferenceListParameter, resolveAndRemoveReferenceListParameter, resolveAndRemoveReferenceParameter, resolveAndRemoveReferenceParameter, setCamelContext, setProperties, useIntrospectionOnEndpoint, useRawUri, validateParameters, validateURI`

    - ### Methods inherited from class org.apache.camel.support.ServiceSupport

      `doResume, doShutdown, doSuspend, getStatus, getVersion, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, resume, shutdown, start, stop, suspend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JBatchComponent

          public JBatchComponent()

  - ### Method Detail

    - #### createEndpoint

          protected org.apache.camel.Endpoint createEndpoint​(String uri,
                                                             String remaining,
                                                             Map<String,​Object> parameters)
                                                      throws Exception

      Specified by:
        `createEndpoint` in class `org.apache.camel.impl.DefaultComponent`
      Throws:
        `Exception`